@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');


.bg-page {
    width: 100%;
    height: 100vh;
    background-color: #0e0e0e;
    color: #fcdf2b;
    overflow: hidden;
    font-family: 'Roboto', sans-serif;
}

.container {

    max-width: 1200px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 50px;
    perspective: 600px;

}

.star-wars-text {
    font-weight: bold;
    font-size: 50px;
    line-height: 70px;
    animation-name: animation;
    animation-duration: 30s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    animation-fill-mode: backwards;

}

h1,
h2 {
    text-align: center;
    margin: 120px;

}






.star-wars-text p {
    font-size: 70px;
    line-height: 120px;
    letter-spacing: 3px;
    text-align: justify;
}

@keyframes animation {

    0% {
        opacity: 0;
        transform: rotateX(20deg) translateY(400px);
    }

    1% {
        opacity: 1;
    }

    99% {
        opacity: 1;
    }

    100% {
        opacity: 0;
        transform: rotateX(20deg) translateY(-120%);
    }

}




/* .bg-page {
    width: 100%;
    height: 100vh;
    background-color: #0e0e0e;
    perspective: 1000px;
    padding-top: 100px;
}



.star-wars-text {


    background-color: red;
    transform: translateZ(-400px) translateY(600px) rotateX(45deg);
    position: absolute;
    left: 20%;
    right: 20%;
    width: 100%;






    transition-property: transform;
    transition-duration: 15s;
    transition-delay: 2s;
    transition-timing-function: linear;



    text-transform: uppercase;
    text-align: center;
    color: rgb(228, 228, 3);
    font-size: 60px;
    line-height: 100px;
    font-weight: bold;
    padding: 50px;
}

.bg-page:hover .star-wars-text {
    transform: translateY(-1000px)
} */